100 REMark A small collection of routines to help you with
110 REMark writing programs which can run on both SBASIC
120 REMark and QDOS systems by giving you system-dependent
130 REMark information
140 CLS : CLS #0
150 PRINT'System variables base address ';SystemVariables
160 Screen_Size
170 PRINT'Screen size:';wide%;'x';high%;' pixels'
180 PRINT'Screen base address:';Screen_Address
190 PRINT'SMSQ/E version ';
200 sms$ = Smsqe_Version$
210 IF sms$ = "" THEN PRINT'QDOS' : ELSE PRINT sms$
220 STOP
230 :
240 DEFine FuNction SystemVariables
250   LOCal v$,sv
260   v$ = VER$
270   sv = 163840 : REMark QDOS default
280   IF v$ = 'JSL1' OR v$ = 'HBA' THEN
290     REMark Minerva or SBASIC
300     sv = VER$(-2)
310   END IF
320   RETurn sv
330 END DEFine SystemVariables
340 :
350 DEFine PROCedure Decision
360   PRINT'Computer says:';
370   IF RND(1 TO 2) = 1 THEN
380     PRINT'No'
390   ELSE
400     PRINT'Yes'
410   END IF
420 END DEFine Decision
430 :
440 REMark a single line definition
450 DEFine PROCedure Grunt : BEEP 5000,50 : END DEFine
460 :
470 DEFine PROCedure Screen_Size
480   LOCal v$
490   REMark wide% will contain the screen width in pixels
500   REMark high% will contain the screen height in pixels
510   wide% = 512 : high% = 256 : REMark QDOS defaults
520   v$ = VER$
530   IF v$ = 'HBA' THEN
540     REMark if SBASIC, use the SCR_XLIMand SCR_YLIM extensions
550     wide% = SCR_XLIM
560     high% = SCR_YLIM
570   END IF
580 END DEFine Screen_Size
590 :
600 DEFine FuNction Screen_Address
610   REMark returns the address of the base address of the screen
620   LOCal v$, sb
630   sb = 131072 : REMark QDOS default
640   v$ = VER$
650   IF v$ = 'HBA' THEN sb = SCR_BASE
660   RETurn sb : REMark base address of screen
670 END DEFine Screen_Address
680 :
690 DEFine FuNction Smsqe_Version$
700   LOCal v$,sv$
710   sv$ = "" : REMark assume this is not SMSQ/E
720   v$ = VER$
730   IF v$ = 'HBA' THEN sv$ = VER$(1) : REMark get SMSQ/E version number
740   RETurn sv$
750 END DEFine Smsqe_Version$
